[PC-BSD Commits] r4973 - in pcbsd/trunk/pc-sysinstall: . backend backend-query

svn at pcbsd.org svn at pcbsd.org
Thu Nov 12 09:28:32 PST 2009


Author: kris
Date: 2009-11-12 09:28:32 -0800 (Thu, 12 Nov 2009)
New Revision: 4973

Modified:
   pcbsd/trunk/pc-sysinstall/backend-query/list-rsync-backups.sh
   pcbsd/trunk/pc-sysinstall/backend-query/setup-ssh-keys.sh
   pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh
   pcbsd/trunk/pc-sysinstall/pc-sysinstall
   pcbsd/trunk/pc-sysinstall/pcinstall.cfg
Log:

Some updates to pc-sysinstall, use curl for our fetching program, so we can easily parse output in front-ends

Also fixed setup ssh keys, and rsync backup listings



Modified: pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh	2009-11-12 15:01:22 UTC (rev 4972)
+++ pcbsd/trunk/pc-sysinstall/backend/functions-extractimage.sh	2009-11-12 17:28:32 UTC (rev 4973)
@@ -86,7 +86,7 @@
   fi
 
   # Do the fetch of the archive now
-  rc_halt_echo "fetch -p -o ${OUTFILE} ${FTPPATH}/${INSFILE}"
+  rc_halt_echo "curl -o ${OUTFILE} ${FTPPATH}/${INSFILE}"
 
   # Done fetching, now reset the INSFILE to our downloaded archived
   INSFILE="${OUTFILE}" ; export INSFILE

Modified: pcbsd/trunk/pc-sysinstall/backend-query/list-rsync-backups.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend-query/list-rsync-backups.sh	2009-11-12 15:01:22 UTC (rev 4972)
+++ pcbsd/trunk/pc-sysinstall/backend-query/list-rsync-backups.sh	2009-11-12 17:28:32 UTC (rev 4973)
@@ -10,13 +10,14 @@
 
 if [ -z "${SSHHOST}" -o -z "${SSHPORT}" ]
 then
-  exit_err "ERROR: Usage list-rsync-backups.sh <user> <host> <port>"
+  echo "ERROR: Usage list-rsync-backups.sh <user> <host> <port>"
+  exit 150
 fi
 
 BACKDIR="life-preserver"
 
 # Get a listing of the number of full backups saved
-OLDBACKUPS=`ssh -p ${PORT} ${SSHHOST} "cd ${BACKDIR}/ && ls -dt back-*"`
+OLDBACKUPS=`ssh -p ${SSHPORT} ${SSHUSER}@${SSHHOST} "cd ${BACKDIR}/ && ls -dt back-*"`
 if [ "$?" = "0" ]
 then
   for i in ${OLDBACKUPS}

Modified: pcbsd/trunk/pc-sysinstall/backend-query/setup-ssh-keys.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend-query/setup-ssh-keys.sh	2009-11-12 15:01:22 UTC (rev 4972)
+++ pcbsd/trunk/pc-sysinstall/backend-query/setup-ssh-keys.sh	2009-11-12 17:28:32 UTC (rev 4973)
@@ -10,7 +10,8 @@
 
 if [ -z "${SSHUSER}" -o -z "${SSHHOST}" -o -z "${SSHPORT}" ]
 then
-  exit_err "ERROR: Usage setup-ssh-keys <user> <host> <port>"
+  echo "ERROR: Usage setup-ssh-keys <user> <host> <port>"
+  exit 150
 fi
 
 cd ~
@@ -27,7 +28,8 @@
 
 if [ ! -e ".ssh/id_rsa.pub" ]
 then
-  exit_err "ERROR: Failed creating .ssh/id_rsa.pub"
+  echo "ERROR: Failed creating .ssh/id_rsa.pub"
+  exit 150
 fi
 
 # Get the .pub key

Modified: pcbsd/trunk/pc-sysinstall/pc-sysinstall
===================================================================
--- pcbsd/trunk/pc-sysinstall/pc-sysinstall	2009-11-12 15:01:22 UTC (rev 4972)
+++ pcbsd/trunk/pc-sysinstall/pc-sysinstall	2009-11-12 17:28:32 UTC (rev 4973)
@@ -132,11 +132,11 @@
   ;;
 
   # Function which allows setting up of SSH keys
-  setup-ssh-keys) ${QUERYDIR}/setup-ssh-keys.sh
+  setup-ssh-keys) ${QUERYDIR}/setup-ssh-keys.sh "${2}" "${3}" "${4}"
   ;;
 
   # Function which lists available backups on a rsync/ssh server
-  list-rsync-backups) ${QUERYDIR}/list-rsync-backups.sh
+  list-rsync-backups) ${QUERYDIR}/list-rsync-backups.sh "${2}" "${3}" "${4}"
   ;;
            
   *) echo "Unknown Command: ${1}" 

Modified: pcbsd/trunk/pc-sysinstall/pcinstall.cfg
===================================================================
--- pcbsd/trunk/pc-sysinstall/pcinstall.cfg	2009-11-12 15:01:22 UTC (rev 4972)
+++ pcbsd/trunk/pc-sysinstall/pcinstall.cfg	2009-11-12 17:28:32 UTC (rev 4973)
@@ -35,15 +35,15 @@
 #netSaveDefaultRouter=192.168.0.1
 
 # Set if we are installing via optical, USB, or FTP
-installType=PCBSD
-#installType=FreeBSD
+#installType=PCBSD
+installType=FreeBSD
 #installMedium=dvd
 installMedium=ftp
 
 ftpPath=ftp://192.168.0.2/netinstall
 
-packageType=uzip
-#packageType=tar
+#packageType=uzip
+packageType=tar
 #installComponents=ports,src
 commitInstall
 



More information about the Commits mailing list